#
# Cookbook Name:: bjn_opsask
# Recipe:: default
#
# Copyright (C) 2015 Blue Jeans Network
#

opsask = materialize node['opsask']

reify :gem_package, opsask['gem'], [
  [ :restart, 'service[opsask]' ]
]

reify :group, opsask['group']

reify :user, opsask['user']

file opsask['opts']['config'] do
  content json_config(opsask['config'])
  owner opsask['user']['name']
  group opsask['group']['name']
end

template '/etc/init/opsask.conf' do
  source 'opsask.conf.erb'
  owner 'root'
  group 'root'
  mode '0644'
  variables opsask: opsask
  notifies :restart, 'service[opsask]', :delayed
end

service 'opsask' do
  provider Chef::Provider::Service::Upstart
  supports restart: true, reload: true, status: true
  action [ :enable, :start ]
end